Bug 18260 - Ordered list numbering needs to be aware of CSS boxes
Ordered list numbering needs to be aware of CSS boxes
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 17:52 UTC by contributor
Modified: 2012-11-11 01:09 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:52:20 UTC
This was was cloned from bug 17632 as part of operation convergence.
Originally filed: 2012-06-28 17:45:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-06-28 17:45:46 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/grouping-content.html
Multipage: http://www.whatwg.org/C#the-ol-element
Complete: http://www.whatwg.org/c#the-ol-element

Comment:
Ordered list numbering needs to be aware of CSS boxes

Posted from: 98.110.194.72 by bzbarsky@mit.edu
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:16.0) Gecko/16.0 Firefox/16.0
================================================================================
 #1   Boris Zbarsky                                   2012-06-28 17:49:33 +0000 
--------------------------------------------------------------------------------
Consider this testcase:

  <!DOCTYPE html>
  <ol>
    <li>One</li>
    <li style="display: none"></li>
    <li>Two</li>
  </ol>

This is interoperably numbered "1, 2" in Gecko, Presto, WebKit, Trident.

The spec right now says it should be numbered "1, 3" as far as I can tell.
================================================================================
 #2   Boris Zbarsky                                   2012-06-28 17:56:56 +0000 
--------------------------------------------------------------------------------
Oh, and how should this affect <ol reversed> numbering?
================================================================================
Comment 1 Ms2ger 2012-08-15 17:13:23 UTC
Filter on [Idon'tcareaboutHTMLWGbugspam].
Comment 2 Silvia Pfeiffer 2012-11-04 12:04:56 UTC
Staging the following patch to be applied next week:
https://github.com/w3c/html/commit/c94cdeadf2b9f91e5a6a83ba82724e3c57716f10
Comment 3 Silvia Pfeiffer 2012-11-11 01:09:44 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description:
https://github.com/w3c/html/commit/c94cdeadf2b9f91e5a6a83ba82724e3c57716f10
Rationale: adopted WHATWG change